--- a/scripts/conv-pstotext
+++ b/scripts/conv-pstotext
@@ -6,7 +6,7 @@
 #
 # $1 = Input file, $2 = Output file
 
-2>/dev/null pstotext -output "${2}" "${1}"
+2>/dev/null ps2txt "${1}" "${2}"
 EXITVAL=$?
 if [ ${EXITVAL} -ne 0 ]; then
 	echo "Error converting file: ${1}"
--- a/src/dsearch
+++ b/src/dsearch
@@ -148,17 +148,17 @@
             $text = `/usr/bin/pdftotext "$file" -`;
         }
         else {
-            # pstotext is a dependency, so this should never fail, but we
+            # ghostscript is a dependency, so ps2txt should never fail, but we
             # recommend the user to install xpdf-utils instead, to get
             # pdftotext (better extraction quality and much faster)
-            $text = file_to_text("/usr/bin/pstotext '$file'", "PDF", "xpdf-utils");
+            $text = file_to_text("/usr/bin/ps2txt '$file'", "PDF", "xpdf-utils");
         }
     }
     elsif ($ext =~ /dvi/) {
         $text = file_to_text("/usr/bin/catdvi '$file'", "DVI", "catdvi");
     }
     elsif ($ext =~ /ps/) {
-        $text = file_to_text("/usr/bin/pstotext '$file'", "Postscript", "pstotext");
+        $text = file_to_text("/usr/bin/ps2txt '$file'", "Postscript", "ghostscript");
     }
     else {
         open F, $file;
